Get seller prices and amounts charged to the buyer
http
POST /api/marketplace/v3/click-collect/orders/final-priceBase URL: https://marketplace-api.wildberries.ru · Module: in-store-pickup · Section: In-Store Pickup Assembly Orders · Specification doc ↗
The method returns:
- seller prices excluding discounts
- sums charged to the buyer including all discounts and cashback
Request limit per one seller account for all methods for getting and deleting In-Store Pickup label identifiers:
| Period | Limit | Interval | Burst |
|---|---|---|---|
| 1 min | 150 requests | 400 ms | 20 requests |
One request with 4XX response codes is counted as 10 requests. |
In Sandbox — maximum of 1 request per second for all Marketplace methods in total.
Request body
application/json — schema api.OrdersRequest, optional
ordersinteger<int64>[]— Assembly orders IDs list
Responses
| Code | Description | Schema |
|---|---|---|
200 | Success | api.OrdersFinalPriceResponse |
400 | Bad request | api.BatchError |
401 | Unauthorized | object |
402 | Payment required | object |
403 | Access denied | api.BatchError |
429 | Too many requests | object |
Structure 200:
requestIdstring— Unique request IDresultsapi.OrderFinalPriceResult[]— Response dataorderIdinteger<int64>— Assembly order IDdataobject— Assembly order data. If{}, the data is being generated. Please try again later. Maximum data generation time is approximately 1 minute. Ifdataabsent, assembly order data is not provided. Use the data from the responses of the methods: - Get New Assembly Orders List - Get Information on Completed OrdersoriginalPriceinteger<int64>— Seller price in the currency of sale, excluding discounts, multiplied by 100convertedOriginalPriceinteger<int64>— Seller price in the currency of the seller country, excluding discounts, multiplied by 100originalFinalPriceinteger<int64>— The sum charged to the buyer in the currency of sale including all discounts and cashback, multiplied by 100. You can find a currency code in thecurrencyCodefield. Provided for informational purposes onlyconvertedOriginalFinalPriceinteger<int64>— The sum charged to the buyer in the currency of the seller country including all discounts and cashback, multiplied by 100. Provided for informational purposes onlycurrencyCodeinteger<ISO 4217>— Sale currency codeconvertedCurrencyCodeinteger<ISO 4217>— Currency code of the seller country
errorsapi.BatchErrorFinalPriceResponse[]— Error detailcodeinteger<int64>— Error code: -404—NotFound-400—StatusMismatch-422—PriceNotCalculateddetailstring— -NotFound— the assembly order is not found (404) -StatusMismatch— operation is not possible for this assembly order status (400) -PriceNotCalculated— operation is not available for assembly orders created before 23.07.2026 (422)
isErrorboolean— Are there any errors
Structure 400:
detailobject— Error detailsoriginstring— WB internal service IDrequestIdstring— Unique request IDtitlestring— Error title
Structure 401:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Structure 402:
titlestring— Error titledetailstring— Error details. The error is only returned to services from the Solutions for business Catalog
Structure 403:
detailobject— Error detailsoriginstring— WB internal service IDrequestIdstring— Unique request IDtitlestring— Error title
Structure 429:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Call examples
Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.
python
from wb_api_client.in_store_pickup import Configuration, ApiClient
from wb_api_client.in_store_pickup.api import InStorePickupApi
cfg = Configuration(access_token="<your WB JWT>")
api = InStorePickupApi(ApiClient(cfg))
result = api.post_v3_click_collect_orders_final_price(api_orders_request=...)
print(result)ts
import {
Configuration,
InStorePickupApi,
} from "@valeryverkhoturov/wb-api-client/in-store-pickup";
const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new InStorePickupApi(cfg);
const { data } = await api.postV3ClickCollectOrdersFinalPrice(apiOrdersRequest);
console.log(data);go
import (
"context"
"fmt"
wbinstorepickup "github.com/ValeryVerkhoturov/wb-api-client-go/in_store_pickup"
)
cfg := wbinstorepickup.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbinstorepickup.NewAPIClient(cfg)
result, _, err := client.InStorePickupAPI.PostV3ClickCollectOrdersFinalPrice(context.Background()).Execute()
if err != nil {
panic(err)
}
fmt.Printf("%+v\n", result)java
import io.github.valeryverkhoturov.wbapi.in_store_pickup.ApiClient;
import io.github.valeryverkhoturov.wbapi.in_store_pickup.SecretString;
import io.github.valeryverkhoturov.wbapi.in_store_pickup.api.InStorePickupApi;
ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
InStorePickupApi api = new InStorePickupApi(client);
System.out.println(api.postV3ClickCollectOrdersFinalPrice(apiOrdersRequest));php
use ValeryVerkhoturov\WbApiClient\InStorePickup\Configuration;
use ValeryVerkhoturov\WbApiClient\InStorePickup\SecretString;
use ValeryVerkhoturov\WbApiClient\InStorePickup\Api\InStorePickupApi;
use GuzzleHttp\Client;
$config = (new Configuration())
->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new InStorePickupApi(new Client(), $config);
print_r($api->postV3ClickCollectOrdersFinalPrice());bsl
#Использовать "wb-api-client"
Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый InStorePickupApi(Настройки);
Сообщить(Клиент.PostV3ClickCollectOrdersFinalPrice(Тело).Тело);csharp
using ValeryVerkhoturov.WbApiClient.InStorePickup.Api;
using ValeryVerkhoturov.WbApiClient.InStorePickup.Client;
var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new InStorePickupApi(config);
Console.WriteLine(api.PostV3ClickCollectOrdersFinalPrice());rust
use wb_api_client::in_store_pickup::apis::{configuration::Configuration, in_store_pickup_api};
#[tokio::main]
async fn main() {
let mut cfg = Configuration::new();
cfg.set_access_token("<your WB JWT>");
let result = in_store_pickup_api::post_v3_click_collect_orders_final_price(&cfg, api_period_orders_request).await;
println!("{:#?}", result);
}